#include<iostream>
#include<iomanip>
using namespace std;

int broiChisla;
int poneDaljina;

int chisla[300010];

int sborDo[300010];

int main(){

    cin>>broiChisla>>poneDaljina;

    for(int i = 1; i <= broiChisla; i++){
        cin>>chisla[i];
    }

    for(int i = 1; i <= broiChisla; i++){
        sborDo[i] = sborDo[i-1] + chisla[i];
    }

    double naiGolqmo = 0;

    for(int k = poneDaljina; k <= broiChisla; k++){
        for(int i = k; i <= broiChisla; i++){
            double tuka = (double)(sborDo[i] - sborDo[i - k])/k;

            naiGolqmo = max(naiGolqmo, tuka);
        }
    }

    cout<<fixed<<setprecision(4)<<naiGolqmo<<endl;

    return 0;
}
